Page MenuHomePhabricator

Allow data-URLs for icons added to the toolbar
Closed, ResolvedPublic

Description

Currently it's impossible to insert a button with a data-URL as icon into the toolbar. Could you change the autoIcon function such that the path isn't prepended to URLs starting with "data:"? Thanks.


Version: unspecified
Severity: enhancement

Details

Reference
bz25223
Related Gerrit Patches:
mediawiki/extensions/WikiEditor : masterAllow data URLs for toolbar icons

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:11 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz25223.
bzimport added a subscriber: Unknown Object (MLST).
Schnark created this task.Sep 20 2010, 7:49 AM

Keep in mind that data URLs are not universally supported: of the browsers supported by WikiEditor, they break in IE7.

Right, you would need to support providing a data-URL+file-URL... Seems like it's possible to do, but strange.

(In reply to comment #1)

Keep in mind that data URLs are not universally supported: of the browsers
supported by WikiEditor, they break in IE7.

If data-URL were only used in personal user scripts this wouldn't be a problem. If a user uses IE7 and puts some code in his vector.js that inserts a toolbar button with a data-URL, it's his own fault.

Well sure, but toolbar icons would more typically be added through site JS, and people like to copy others' user JS.

Can this be closed or is this still a problem.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2015, 8:47 PM
Catrope removed a subscriber: Catrope.Jan 14 2016, 8:14 PM

Well, define "problem". I no longer care about WikiEditor, so for me the missing support for data-URLs is no longer a problem. If anybody else wants to have this feature, then go ahead and implement it, but if nobody else cares, then let the WikiEditor rest in peace and decline this task.

Change 527946 had a related patch set uploaded (by Happy5214; owner: Happy5214):
[mediawiki/extensions/WikiEditor@master] Allow data URLs for toolbar icons

https://gerrit.wikimedia.org/r/527946

happy5214 added a subscriber: happy5214.

Since IE7 support has been dropped, its lack of data URL support is now irrelevant.

happy5214 moved this task from Backlog to Doing on the WikiEditor board.Aug 5 2019, 12:35 AM
TheDJ removed a subscriber: wikibugs-l-list.
happy5214 closed this task as Resolved.Sep 8 2019, 12:45 PM
happy5214 moved this task from Doing to Closed on the WikiEditor board.